Update user
PUT
/users/{email}
const url = 'https://api.muninx.com/users/me';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"Alice","last-name":"Doe","type":"agent","agent-type":"human","organization":"acme","status":"suspended","auto-assign-tickets":"true"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.muninx.com/users/me \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "Alice", "last-name": "Doe", "type": "agent", "agent-type": "human", "organization": "acme", "status": "suspended", "auto-assign-tickets": "true" }'Updates user fields. Only admins can update role, status, organization, auto-assign, or agent type.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” email
required
string
User email address. Some endpoints also accept me.
Example
meRequest Body required
Section titled “Request Body required ” Media type application/json
object
name
string
last-name
string
type
string
organization
string
auto-assign-tickets
string
status
string
agent-type
string
Example
{ "name": "Alice", "last-name": "Doe", "type": "agent", "agent-type": "human", "organization": "acme", "status": "suspended", "auto-assign-tickets": "true"}Responses
Section titled “ Responses ”OK
Media type application/json
string
Example
User updatedRFC 9457 problem details
Media type application/problem+json
RFC 9457 problem details.
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
key
additional properties
any
Example generated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "instance": "https://example.com"}RFC 9457 problem details
Media type application/problem+json
RFC 9457 problem details.
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
key
additional properties
any
Example generated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "instance": "https://example.com"}RFC 9457 problem details
Media type application/problem+json
RFC 9457 problem details.
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
key
additional properties
any
Example generated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "instance": "https://example.com"}RFC 9457 problem details
Media type application/problem+json
RFC 9457 problem details.
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
key
additional properties
any
Example generated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "instance": "https://example.com"}